export const colorLegend = (selection, props) => {
  
  const { colorScale, circleRadius, spacing, textOffset } = props;
  // This is just the update selection.
  
  const groups = selection.selectAll('g').data(colorScale.domain());
  
  const groupsEnter = groups.enter().append('g'); 
  
  groupsEnter
    .merge(groups)
  		.attr('class', 'legend')
    	.attr('transform', (d, i) => `translate(0, ${i * spacing})`);
  groups.exit().remove();
  
  groupsEnter.append('circle')
  		// .attr('cx', xPosition)
  		// .attr('cy', height/2)
  	.merge(groups.select('circle'))
      .attr('r', circleRadius)
  		.attr('fill', colorScale);
  
  groupsEnter.append('text')
  		// .attr('cx', xPosition)
  		// .attr('cy', height/2)
  	.merge(groups.select('text'))
      .text(d => d)
  		.attr('x', textOffset)
  		.attr('dy', '0.32em');
};
